<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.67
Name: [2] Treść karty odmowy przyjęcia do szpitala
Description: Szablon CDA dla treści karty odmowy przyjęcia do szpitala
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000">
   <title>[2] Treść karty odmowy przyjęcia do szpitala</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]
Item: (plCdaRefusalNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]"
         id="tmp-r-c9af4a8d-8359-4875-91f4-2483ab850e6a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67'])&gt;=1 ">(plCdaRefusalNoteComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67'])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']
Item: (plCdaRefusalNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']"
         id="tmp-r-26a8aa72-98f2-4836-92fa-aface79d9da2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="@contextConductionInd">(plCdaRefusalNoteComponent): atrybut @contextConductionInd MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaRefusalNoteComponent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(//(hl7:observation|hl7:substanceAdministration|hl7:supply|hl7:procedure|hl7:encounter|hl7:act|hl7:externalDocument)[not(ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']) and not(ancestor::hl7:entryRelationship) and not(hl7:text/hl7:reference)])&gt;0">(plCdaRefusalNoteComponent): Element text dla danego wyrażenia klinicznego jest wymagany, ze wskazaniem referencji do odpowiedniego elementu section.text.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.67'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.67']/@nullFlavor)">(plCdaRefusalNoteComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.67'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.67'])&lt;=1">(plCdaRefusalNoteComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.67'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']|hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaRefusalNoteComponent): wybór (hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] lub hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaRefusalNoteComponent): wybór (hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] lub hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'])&lt;=1">(plCdaRefusalNoteComponent): element hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])&lt;=1">(plCdaRefusalNoteComponent): element hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.67']
Item: (plCdaRefusalNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.67']"
         id="tmp-r-0b7c1f8f-a4e0-4dab-abea-7660ee03bd11">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRefusalNoteComponent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.67'">(plCdaRefusalNoteComponent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.67'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaRefusalNoteComponent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']
Item: (plCdaRefusalNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']"
         id="tmp-r-28ec475e-5a2b-4ae4-81cb-aa4900b63877">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaRefusalNoteComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaRefusalNoteComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="not(hl7:component[not(hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])">(plCdaRefusalNoteComponent): Jeżeli w dokumencie znajduje się sekcja postaci binarnej dokumentu, to nie może występować sekcja innego typu.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/@nullFlavor)">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]
Item: (plCdaRefusalNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]"
         id="tmp-r-91552d91-219e-46c9-83a4-ed8b6dd40d7b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaRefusalNoteComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaRefusalNoteComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/@nullFlavor)">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.30']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.30']]/@nullFlavor)">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.30']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.30']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.30']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.31']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.31']]/@nullFlavor)">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.31']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.31']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.31']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.35']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.35']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.36']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.36']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.40']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.40']]/@nullFlavor)">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.40']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.40']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.40']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.32']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.32']]/@nullFlavor)">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.32']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.32']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.32']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']])&lt;=1">(plCdaRefusalNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.30']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.30']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.31']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.31']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.35']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.35']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.36']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.36']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.40']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.40']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.32']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.32']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.67
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]
Item: (plCdaRefusalNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.67']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.67-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaRefusalNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
