<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.66
Name: [3] Sekcja postaci binarnej dokumentu karty informacyjnej leczenia szpitalnego
Description: Szablon struktury CDA dla sekcji postaci binarnej dokumentu karty informacyjnej leczenia szpitalnego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000">
   <title>[3] Sekcja postaci binarnej dokumentu karty informacyjnej leczenia szpitalnego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]"
         id="tmp-r-cbf9aab4-0b7b-46eb-b470-491d7059c80d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/@nullFlavor)">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66'])&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']"
         id="tmp-r-56c46f3e-7927-4820-b3b0-369aa81709de">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="hl7:code/@code = /hl7:ClinicalDocument/hl7:code/@code and hl7:code/@displayName = /hl7:ClinicalDocument/hl7:code/@displayName">(plCdaDischargeSummaryDocumentBinaryContentSection): Kod typu sekcji postaci binarnej dokumentu musi byc zgodny z kodem typu dokumentu.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.66'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.66']/@nullFlavor)">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.66'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.66'])&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.66'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.6.1']/@nullFlavor)">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:title)=0">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:title NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']])&gt;=1 and not(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]/@nullFlavor)">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:confidentialityCode)&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:confidentialityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaDischargeSummaryDocumentBinaryContentSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.66']
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.66']"
         id="tmp-r-39ed973d-9a91-44f4-b3b5-07b12505df52">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryDocumentBinaryContentSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.66'">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.66'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDischargeSummaryDocumentBinaryContentSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:id
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:id"
         id="tmp-r-3875f6e7-201d-4ed2-b998-de3326f105dc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryDocumentBinaryContentSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']"
         id="tmp-r-d28dff21-637a-4542-a24a-3323f1c89f11">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryDocumentBinaryContentSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:title
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:title"
         id="tmp-r-9fb85721-e00f-447f-96c6-839ca51fa771">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryDocumentBinaryContentSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:text
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:text"
         id="tmp-r-4b6f47bc-e31c-4167-b910-bd8bbfb1e39f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryDocumentBinaryContentSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDischargeSummaryDocumentBinaryContentSection): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaDischargeSummaryDocumentBinaryContentSection): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:confidentialityCode
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:confidentialityCode"
         id="tmp-r-e6c3de7f-b57a-4fbf-aa68-2c84db7db4f3">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryDocumentBinaryContentSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość elementu MUSI wynosić x_BasicConfidentialityKind (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDischargeSummaryDocumentBinaryContentSection): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości x_BasicConfidentialityKind (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:languageCode
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:languageCode"
         id="tmp-r-c807b62b-b0ba-429c-a8a1-3dca7dea87b6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryDocumentBinaryContentSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDischargeSummaryDocumentBinaryContentSection): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.22']]
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.24']]
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:entry"
         id="tmp-r-3f15894d-fcb4-433a-9c28-e8c262e9f45a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDischargeSummaryDocumentBinaryContentSection): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaDischargeSummaryDocumentBinaryContentSection): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.66
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:component
Item: (plCdaDischargeSummaryDocumentBinaryContentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.66']/hl7:component"
         id="tmp-r-f3caffb9-6a3b-4b4e-b1fc-95c47ab182d7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDischargeSummaryDocumentBinaryContentSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.66-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaDischargeSummaryDocumentBinaryContentSection): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
</pattern>
