<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.21
Name: [4] Lek gotowy
Description: Szablon CDA dla leku gotowego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000">
   <title>[4] Lek gotowy</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]"
         id="tmp-r-030a1d3b-5102-49e9-b83b-17dd280dc9de">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'])&gt;=1 and not(hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/@nullFlavor)">(plCdaManufacturedLabeledDrug): element hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']"
         id="tmp-r-ff5700ce-5540-4ae5-b7e5-487d6b139a30">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@classCode)='MANU' or not(@classCode)">(plCdaManufacturedLabeledDrug): Wartość dla @classCode MUSI wynosić 'MANU'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21']/@nullFlavor)">(plCdaManufacturedLabeledDrug): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:manufacturerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:manufacturerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21']
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21']"
         id="tmp-r-70ff589e-464f-49c3-927e-6bde8cd6c17e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.21'">(plCdaManufacturedLabeledDrug): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.21'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaManufacturedLabeledDrug): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:id
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:id"
         id="tmp-r-b35a6311-8b03-413c-bfe5-e2c42b2f76f5">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaManufacturedLabeledDrug): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]"
         id="tmp-r-f1beae3b-5bb8-42eb-8573-5c2e412df63d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaManufacturedLabeledDrug): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaManufacturedLabeledDrug): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']/@nullFlavor)">(plCdaManufacturedLabeledDrug): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']"
         id="tmp-r-613667ca-9d18-4a85-a1b7-5a09f5e4daa7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaManufacturedLabeledDrug): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.1') or (@codeSystem='2.16.840.1.113883.3.4424.6.2')">(plCdaManufacturedLabeledDrug): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.1' lub codeSystem '2.16.840.1.113883.3.4424.6.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:name
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:name"
         id="tmp-r-09bbab33-97de-420e-b792-5688e47b43f1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaManufacturedLabeledDrug): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaManufacturedLabeledDrug)
--></pattern>
